报错信息

1
2
3
Building native extensions.  This could take a while...
ERROR:  Error installing rmagick:
ERROR: Failed to build gem native extension.

解决办法

1
$ sudo apt-get install libmagick9-dev

database.yml里面密码采用全数字时,加 ‘ ’, 否则运行rake时报错: can’t convert Fixnum into String

问题解决的最好方法方法

使用google的DNS 8.8.8.8 / 8.8.4.4

另一种解决方式

修改rubygems的source源

删除原有gem source

1
2
$ gem source -r http://rubygems.org/
$ gem source -r http://production.s3.rubygems.org/

增加新source源

1
$ gem source -a http://production.s3.ru

如果使用Bundler

修改你的 Gemfile 将 http://rubygems.org 改为 http://ruby.taobao.org/